Get an Ironbox
curl --request GET \
--url https://api.ironflow.sh/v1/ironbox/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ironflow.sh/v1/ironbox/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ironflow.sh/v1/ironbox/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ironflow.sh/v1/ironbox/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.ironflow.sh/v1/ironbox/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.ironflow.sh/v1/ironbox/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.ironflow.sh/v1/ironbox/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "ibx_3f9a0c7e12d4",
"name": "grid-bot",
"state": "creating",
"size": "small",
"mode": "paper",
"runtime": "python",
"markets": [
"perps",
"outcomes"
],
"region": "tokyo",
"created_at": 1762520000000,
"url": "https://api.ironflow.sh/v1/ironbox/ibx_3f9a0c7e12d4",
"dashboard": "https://ironflow.sh/ironbox",
"message": "Your Ironbox is being set up. We email you when it is ready."
}{
"error": {
"code": "UNAUTHORIZED",
"message": "this request needs an API key. Free keys: https://ironflow.sh/key?utm_source=api, or POST https://api.ironflow.sh/v1/keys with {\"email\": \"[email protected]\"} (the key arrives by email)"
}
}{
"error": {
"code": "RATE_LIMIT_EXCEEDED",
"message": "Rate limit exceeded. Retry after 60 seconds.",
"upgrade": {},
"ironbox": {
"why": "No rate limits inside an Ironbox: your agent runs next to Hyperliquid with the data on the box.",
"create": "POST https://api.ironflow.sh/v1/ironbox",
"url": "https://ironflow.sh/ironbox?utm_source=api"
},
"stream": "GET https://api.ironflow.sh/v1/liquidations/stream (no daily limit for keyless streams)"
}
}Ironbox
Get an Ironbox
GET /v1/ironbox/ returns one of your Ironboxes and its state.
GET
/
v1
/
ironbox
/
{id}
Get an Ironbox
curl --request GET \
--url https://api.ironflow.sh/v1/ironbox/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ironflow.sh/v1/ironbox/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ironflow.sh/v1/ironbox/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ironflow.sh/v1/ironbox/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.ironflow.sh/v1/ironbox/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.ironflow.sh/v1/ironbox/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.ironflow.sh/v1/ironbox/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "ibx_3f9a0c7e12d4",
"name": "grid-bot",
"state": "creating",
"size": "small",
"mode": "paper",
"runtime": "python",
"markets": [
"perps",
"outcomes"
],
"region": "tokyo",
"created_at": 1762520000000,
"url": "https://api.ironflow.sh/v1/ironbox/ibx_3f9a0c7e12d4",
"dashboard": "https://ironflow.sh/ironbox",
"message": "Your Ironbox is being set up. We email you when it is ready."
}{
"error": {
"code": "UNAUTHORIZED",
"message": "this request needs an API key. Free keys: https://ironflow.sh/key?utm_source=api, or POST https://api.ironflow.sh/v1/keys with {\"email\": \"[email protected]\"} (the key arrives by email)"
}
}{
"error": {
"code": "RATE_LIMIT_EXCEEDED",
"message": "Rate limit exceeded. Retry after 60 seconds.",
"upgrade": {},
"ironbox": {
"why": "No rate limits inside an Ironbox: your agent runs next to Hyperliquid with the data on the box.",
"create": "POST https://api.ironflow.sh/v1/ironbox",
"url": "https://ironflow.sh/ironbox?utm_source=api"
},
"stream": "GET https://api.ironflow.sh/v1/liquidations/stream (no daily limit for keyless streams)"
}
}Authorizations
Ironflow API key, format if_xxxx. Free keys at https://ironflow.sh/key. Optional on read endpoints.
Path Parameters
Pattern:
^ibx_[0-9a-f]{12}$Response
The Ironbox.
Pattern:
^ibx_[0-9a-f]{12}$Example:
"ibx_3f9a0c7e12d4"
Empty when none was given.
Example:
"grid-bot"
Available options:
creating, running, stopped, deleted, error Available options:
small, medium, large Available options:
paper, live Available options:
python, node Available options:
perps, outcomes, spot Available options:
tokyo Unix milliseconds
GET it for the box's state; DELETE it to delete the box.
What the state means